
Redmine - Defect #5021

stylesheet_link_tag does not honor Redmine running out of a sub-uri if it is called from a plugin

2010-03-09 22:38 - Robert Chady

Status: Closed Start date: 2010-03-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

If a plugin calls stylesheet_link_tag with the :plugin parameter, the link that gets inserted does not honor the sub-uri the system is

running through.  I believe this is caused by Engines::RailsExtensions::AssetHelpers#plugin_asset_path.  This method returns a path

that seems to assume the system is not running under a sub-uri.

Related issues:

Is duplicate of Redmine - Defect #3935: stylesheet_link_tag with plugin doesn... Closed 2009-09-28

History

#1 - 2010-05-05 13:31 - Jérémie Delaitre

I have the same problem with both stylesheet_link_tag and javascript_include_tag.

#2 - 2010-05-05 13:58 - Jérémie Delaitre

This duplicates #3935

#3 - 2010-08-08 12:46 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Duplicate

I close this one as duplicate, as #3935 is older and comes with a patch..
